Skip to main content

Customer

Base URL: https://api.covasoft.net/crm

Endpoints​

EndpointDescription
GET v1/Companies({CompanyId})/CustomersThis call returns all the Customers in a Company
GET v1/Companies({CompanyId})/CustomerFull({CustomerId})This call returns the Full Customer by id, including Addresses, Contact info, Extended Attributes, Documents, etc.
POST v1/Companies({CompanyId})/CustomerFullThis call creates a Customer in Cova will all their attributes
GET v1/Companies({CompanyId})/CustomerFull?LastModifiedDateUtc={LastModifiedDateUtc}This call returns all the Customers that have been Added or Modified since the DateTime Provided
GET v1/Companies({CompanyId})/SearchCapabilitiesThis call returns SearchCapabilities which can be used with the /Search endpoint
POST v1/Companies({CompanyId})/SearchThis call returns Customers which match supplied criteria.

GET v1/Companies({CompanyId})/Customers​

This call returns all the Customers in a Company

Base URL:​

https://api.covasoft.net/crm

Example of a call would be:​

https://api.covasoft.net/crm/v1/Companies({{CompanyId}})/Customers?$skip=0&$top=100
Paging accomplished with $top & $skip. Maximum of 100 customers per page

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns all the Customers in a Company

Collection of CustomersByCompanyReturn

NameDescriptionTypeAdditional information
PrimaryNamestringNone.
TitlestringNone.
AlternateNamestringNone.
MiddleNamestringNone.
FamilyNamestringNone.
ReferralSourcestringNone.
NotesstringNone.
UniqueIdentifierstringNone.
Idglobally unique identifierNone.
CustomerTypeIdintegerNone.
CustomerTypestringNone.
DateOfBirthdateNone.
PricingGroupIdintegerNone.
DisabledbooleanNone.
DoNotContactbooleanNone.
VersionintegerNone.
MergedIntoCustomerIdglobally unique identifierNone.
LastModifiedDateUtcdateNone.

Response Formats​

application/json, text/json

[
{
"PrimaryName": "sample string 1",
"Title": "sample string 2",
"AlternateName": "sample string 3",
"MiddleName": "sample string 4",
"FamilyName": "sample string 5",
"ReferralSource": "sample string 6",
"Notes": "sample string 7",
"UniqueIdentifier": "sample string 8",
"Id": "80f745f5-60e9-418c-b82b-5d9823166d84",
"CustomerTypeId": 10,
"CustomerType": "sample string 11",
"DateOfBirth": "2026-10-02T17:41:12.746345+00:00",
"PricingGroupId": 1,
"Disabled": true,
"DoNotContact": true,
"Version": 14,
"MergedIntoCustomerId": "f97f31ec-8ec1-400e-9498-88a6121b2244",
"LastModifiedDateUtc": "2026-10-02T17:41:12.746345+00:00"
},
{
"PrimaryName": "sample string 1",
"Title": "sample string 2",
"AlternateName": "sample string 3",
"MiddleName": "sample string 4",
"FamilyName": "sample string 5",
"ReferralSource": "sample string 6",
"Notes": "sample string 7",
"UniqueIdentifier": "sample string 8",
"Id": "80f745f5-60e9-418c-b82b-5d9823166d84",
"CustomerTypeId": 10,
"CustomerType": "sample string 11",
"DateOfBirth": "2026-10-02T17:41:12.746345+00:00",
"PricingGroupId": 1,
"Disabled": true,
"DoNotContact": true,
"Version": 14,
"MergedIntoCustomerId": "f97f31ec-8ec1-400e-9498-88a6121b2244",
"LastModifiedDateUtc": "2026-10-02T17:41:12.746345+00:00"
}
]

GET v1/Companies({CompanyId})/CustomerFull({CustomerId})​

This call returns the Full Customer by id, including Addresses, Contact info, Extended Attributes, Documents, etc.

Base URL:​

https://api.covasoft.net/crm

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
CustomerIdGUID for Customer from the GET customers Callglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns all the Customers in a Company

CustomerDetailsReturn

NameDescriptionTypeAdditional information
AddressesCollection of AddressNone.
ContactMethodsCollection of ContactMethodNone.
CustomerExtensionsCollection of CustomerExtensionNone.
MemberOfCollection of MemberOfNone.
DocumentsCollection of DocumentNone.
MergedCustomersCollection of globally unique identifierNone.
PrimaryNamestringNone.
TitlestringNone.
AlternateNamestringNone.
MiddleNamestringNone.
FamilyNamestringNone.
ReferralSourcestringNone.
NotesstringNone.
UniqueIdentifierstringNone.
Idglobally unique identifierNone.
CustomerTypeIdintegerNone.
CustomerTypestringNone.
DateOfBirthstringNone.
PricingGroupIdintegerNone.
DisabledbooleanNone.
DoNotContactbooleanNone.
VersionintegerNone.
MergedIntoCustomerIdglobally unique identifierNone.
LastModifiedDateUtcdateNone.

Response Formats​

application/json, text/json

{
"Addresses": [
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "917dd816-6f7a-467b-88cb-4f5c062eabbd",
"CustomerId": "df77abce-edf5-489e-9a60-98370a09611a",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "917dd816-6f7a-467b-88cb-4f5c062eabbd",
"CustomerId": "df77abce-edf5-489e-9a60-98370a09611a",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
}
],
"ContactMethods": [
{
"Value": "sample string 1",
"Id": "98b648b8-6849-4fcf-9068-9a2fcfc090a0",
"CustomerId": "8160ae00-d02c-4e8f-9a39-c354f2762e9c",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
},
{
"Value": "sample string 1",
"Id": "98b648b8-6849-4fcf-9068-9a2fcfc090a0",
"CustomerId": "8160ae00-d02c-4e8f-9a39-c354f2762e9c",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
}
],
"CustomerExtensions": [
{
"Value": "sample string 1",
"Id": "e312135a-d798-4858-9e4e-54e679209988",
"CustomerId": "fcf044c6-a18d-45e8-8550-12431b1dd623",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
},
{
"Value": "sample string 1",
"Id": "e312135a-d798-4858-9e4e-54e679209988",
"CustomerId": "fcf044c6-a18d-45e8-8550-12431b1dd623",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
}
],
"MemberOf": [
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
}
],
"Documents": [
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:13.4182257+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:13.4182257+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
},
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:13.4182257+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:13.4182257+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
}
],
"MergedCustomers": [
"1254ff7e-726e-4f64-b068-fa4c2885a894",
"a1f07b56-1d56-4c77-aa08-e16e3acb21b1"
],
"PrimaryName": "sample string 1",
"Title": "sample string 2",
"AlternateName": "sample string 3",
"MiddleName": "sample string 4",
"FamilyName": "sample string 5",
"ReferralSource": "sample string 6",
"Notes": "sample string 7",
"UniqueIdentifier": "sample string 8",
"Id": "dd3da07b-ed11-40a9-b1cd-40050cf1c61a",
"CustomerTypeId": 10,
"CustomerType": "sample string 11",
"DateOfBirth": "sample string 12",
"PricingGroupId": 13,
"Disabled": true,
"DoNotContact": true,
"Version": 16,
"MergedIntoCustomerId": "b5a778b7-c292-4c3d-85fb-9c026f87dc01",
"LastModifiedDateUtc": "2026-10-02T17:41:13.4182257+00:00"
}

Models​

Address
NameDescriptionTypeAdditional information
AddressLine1stringNone.
AddressLine2stringNone.
CitystringNone.
StateNamestringNone.
CountryNamestringNone.
ZipintegerNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
AddressTypeId1- None, 2- Home, 3- Shipping, 4- Office, 5- OtherintegerNone.
AddressTypestringNone.
DefaultbooleanNone.
DoNotContactbooleanNone.
CountryCodestringNone.
CountrystringNone.
LocalitystringNone.
StateCodestringNone.
StatestringNone.
PostalCodestringNone.
PostOfficeBoxNumberstringNone.
StreetAddress1stringNone.
NotesstringNone.
StreetAddress2stringNone.
VersionintegerNone.
AttentionTostringNone.
PhonestringNone.
EmailstringNone.
ContactMethod
NameDescriptionTypeAdditional information
ValuestringNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
ContactMethodCategoryIdintegerNone.
ContactMethodCategorystringNone.
ContactMethodTypeId1- Home Phone, 2- Not Used, 3- Mobile Phone, 4- Company Phone, 5- Pager, 6- Home Fax, 7- Work Fax, 8-Other Phone, 9- Home Email, 10- Work Email, 11- Other Email, 12- Website, 13- Skype, 14 Twitter, 15- Facebook, 16- LinkedIn, 17- OtherintegerNone.
ContactMethodTypestringNone.
DoNotContactbooleanNone.
DefaultbooleanNone.
NotesstringNone.
VersionintegerNone.
CustomerExtension
NameDescriptionTypeAdditional information
ValuestringNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
ExtensionTypeIdintegerNone.
ExtensionTypestringNone.
ExtensionTypeFeaturestringNone.
VersionintegerNone.
MemberOf
NameDescriptionTypeAdditional information
IdstringNone.
ChildCustomerIdstringNone.
Document
NameDescriptionTypeAdditional information
IdstringNone.
CustomerIdstringNone.
DocumentTypestringNone.
DocumentTypeIdintegerNone.
DocumentClassificationstringNone.
DocumentClassificationIdintegerNone.
NamestringNone.
MimeTypestringNone.
AddedBystringNone.
DatedAddedUtcdateNone.
UpdatedBystringNone.
DateUpdatedUtcdateNone.
HrefstringNone.
PreviewHrefstringNone.

POST v1/Companies({CompanyId})/CustomerFull​

This call creates a Customer in Cova will all their attributes

Base URL:​

https://api.covasoft.net/crm

To minimize customer duplication, always Search for potential matches prior to creating new customer records.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired

Body Parameters​

The Customer attributes for Customer Creation

CustomerFullPost

NameDescriptionTypeAdditional information
AddressesCollection of AddressNone.
ContactMethodsCollection of ContactMethodNone.
CustomerExtensionsCollection of CustomerExtensionNone.
CustomerTypeIdintegerNone.
TitlestringNone.
PrimaryNamestringNone.
AlternateNamestringNone.
MiddleNamestringNone.
FamilyNamestringNone.
ReferralSourcestringNone.
DateOfBirthdateNone.
PricingGroupIdintegerNone.
NotesstringNone.
UniqueIdentifierstringNone.
DisabledbooleanNone.
DoNotContactbooleanNone.

Request Formats​

application/json, text/json

{
"Addresses": [
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "1ee38649-6431-4201-b7e8-a1419720fb08",
"CustomerId": "926b30c3-7384-4b8c-a588-15fedb76c368",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "1ee38649-6431-4201-b7e8-a1419720fb08",
"CustomerId": "926b30c3-7384-4b8c-a588-15fedb76c368",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
}
],
"ContactMethods": [
{
"Value": "sample string 1",
"Id": "b2d21a5b-e7f2-4b94-8101-c1c68feb06fe",
"CustomerId": "4be70aee-3b46-43dc-b4c1-f693b8e315ee",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
},
{
"Value": "sample string 1",
"Id": "b2d21a5b-e7f2-4b94-8101-c1c68feb06fe",
"CustomerId": "4be70aee-3b46-43dc-b4c1-f693b8e315ee",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
}
],
"CustomerExtensions": [
{
"Value": "sample string 1",
"Id": "fc24efec-9138-4798-a299-f332fd7874c4",
"CustomerId": "b05e0c76-4af3-4aa9-8c3c-0f018a8be597",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
},
{
"Value": "sample string 1",
"Id": "fc24efec-9138-4798-a299-f332fd7874c4",
"CustomerId": "b05e0c76-4af3-4aa9-8c3c-0f018a8be597",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
}
],
"CustomerTypeId": 1,
"Title": "sample string 2",
"PrimaryName": "sample string 3",
"AlternateName": "sample string 4",
"MiddleName": "sample string 5",
"FamilyName": "sample string 6",
"ReferralSource": "sample string 7",
"DateOfBirth": "2026-10-02T17:41:14.1471252+00:00",
"PricingGroupId": 9,
"Notes": "sample string 10",
"UniqueIdentifier": "sample string 11",
"Disabled": true,
"DoNotContact": true
}

Response Information​

Resource Description​

Returns Customer Posted in Cova will all their attributes

CustomerFullReturn

NameDescriptionTypeAdditional information
AddressesCollection of AddressNone.
ContactMethodsCollection of ContactMethodNone.
CustomerExtensionsCollection of CustomerExtensionNone.
RelatedCustomersCollection of RelatedCustomerNone.
MemberOfCollection of MemberOfNone.
DocumentsCollection of DocumentNone.
MergedCustomersCollection of globally unique identifierNone.
PrimaryNamestringNone.
TitlestringNone.
AlternateNamestringNone.
MiddleNamestringNone.
FamilyNamestringNone.
ReferralSourcestringNone.
NotesstringNone.
UniqueIdentifierstringNone.
Idglobally unique identifierNone.
CustomerTypeIdintegerNone.
CustomerTypestringNone.
DateOfBirthdateNone.
PricingGroupIdintegerNone.
DisabledbooleanNone.
DoNotContactbooleanNone.
VersionintegerNone.
MergedIntoCustomerIdglobally unique identifierNone.
LastModifiedDateUtcdateNone.

Response Formats​

application/json, text/json

{
"Addresses": [
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "e3741764-a5fe-4788-a5a9-badee8c5f772",
"CustomerId": "7485941a-55f0-40cc-9984-9bac1168222d",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "e3741764-a5fe-4788-a5a9-badee8c5f772",
"CustomerId": "7485941a-55f0-40cc-9984-9bac1168222d",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
}
],
"ContactMethods": [
{
"Value": "sample string 1",
"Id": "7af5d830-abef-44c1-b066-2b218726d307",
"CustomerId": "e5210139-4199-4507-a412-768bb2c2dc0e",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
},
{
"Value": "sample string 1",
"Id": "7af5d830-abef-44c1-b066-2b218726d307",
"CustomerId": "e5210139-4199-4507-a412-768bb2c2dc0e",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
}
],
"CustomerExtensions": [
{
"Value": "sample string 1",
"Id": "05b47485-a2fb-474a-be5b-83e491620f37",
"CustomerId": "8c175f06-6f25-480c-9224-ecadf7787571",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
},
{
"Value": "sample string 1",
"Id": "05b47485-a2fb-474a-be5b-83e491620f37",
"CustomerId": "8c175f06-6f25-480c-9224-ecadf7787571",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
}
],
"RelatedCustomers": [
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
}
],
"MemberOf": [
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
}
],
"Documents": [
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:14.162754+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:14.162754+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
},
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:14.162754+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:14.162754+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
}
],
"MergedCustomers": [
"3bd967e7-cabf-4a2a-9fcb-46cf28cbc8b2",
"907af570-5e96-44a8-9659-7647bd1cf57a"
],
"PrimaryName": "sample string 1",
"Title": "sample string 2",
"AlternateName": "sample string 3",
"MiddleName": "sample string 4",
"FamilyName": "sample string 5",
"ReferralSource": "sample string 6",
"Notes": "sample string 7",
"UniqueIdentifier": "sample string 8",
"Id": "9af4497d-56fe-43a6-bcf3-3ba4490f39e1",
"CustomerTypeId": 10,
"CustomerType": "sample string 11",
"DateOfBirth": "2026-10-02T17:41:14.162754+00:00",
"PricingGroupId": 13,
"Disabled": true,
"DoNotContact": true,
"Version": 16,
"MergedIntoCustomerId": "9f175df2-9aa8-4db8-9498-7409dfa40725",
"LastModifiedDateUtc": "2026-10-02T17:41:14.162754+00:00"
}

Models​

Address
NameDescriptionTypeAdditional information
AddressLine1stringNone.
AddressLine2stringNone.
CitystringNone.
StateNamestringNone.
CountryNamestringNone.
ZipintegerNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
AddressTypeId1- None, 2- Home, 3- Shipping, 4- Office, 5- OtherintegerNone.
AddressTypestringNone.
DefaultbooleanNone.
DoNotContactbooleanNone.
CountryCodestringNone.
CountrystringNone.
LocalitystringNone.
StateCodestringNone.
StatestringNone.
PostalCodestringNone.
PostOfficeBoxNumberstringNone.
StreetAddress1stringNone.
NotesstringNone.
StreetAddress2stringNone.
VersionintegerNone.
AttentionTostringNone.
PhonestringNone.
EmailstringNone.
ContactMethod
NameDescriptionTypeAdditional information
ValuestringNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
ContactMethodCategoryIdintegerNone.
ContactMethodCategorystringNone.
ContactMethodTypeId1- Home Phone, 2- Not Used, 3- Mobile Phone, 4- Company Phone, 5- Pager, 6- Home Fax, 7- Work Fax, 8-Other Phone, 9- Home Email, 10- Work Email, 11- Other Email, 12- Website, 13- Skype, 14 Twitter, 15- Facebook, 16- LinkedIn, 17- OtherintegerNone.
ContactMethodTypestringNone.
DoNotContactbooleanNone.
DefaultbooleanNone.
NotesstringNone.
VersionintegerNone.
CustomerExtension
NameDescriptionTypeAdditional information
ValuestringNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
ExtensionTypeIdintegerNone.
ExtensionTypestringNone.
ExtensionTypeFeaturestringNone.
VersionintegerNone.
RelatedCustomer
NameDescriptionTypeAdditional information
IdstringNone.
ParentCustomerIdstringNone.
MemberOf
NameDescriptionTypeAdditional information
IdstringNone.
ChildCustomerIdstringNone.
Document
NameDescriptionTypeAdditional information
IdstringNone.
CustomerIdstringNone.
DocumentTypestringNone.
DocumentTypeIdintegerNone.
DocumentClassificationstringNone.
DocumentClassificationIdintegerNone.
NamestringNone.
MimeTypestringNone.
AddedBystringNone.
DatedAddedUtcdateNone.
UpdatedBystringNone.
DateUpdatedUtcdateNone.
HrefstringNone.
PreviewHrefstringNone.

GET v1/Companies({CompanyId})/CustomerFull?LastModifiedDateUtc={LastModifiedDateUtc}​

This call returns all the Customers that have been Added or Modified since the DateTime Provided

Base URL:​

https://api.covasoft.net/crm

Example of a call would be:​

https://api.covasoft.net/crm/v1/Companies({CompanyId})/CustomerFull?$filter=LastModifiedDateUtc ge datetime'2019-01-01T00:00:00z'

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
LastModifiedDateUtcThis Date would be the last Datetime you polled for changesdateRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns Customers that have been Added or Modified since the DateTime Provided

Collection of CustomersByLastModifedDateReturn

NameDescriptionTypeAdditional information
AddressesCollection of AddressNone.
ContactMethodsCollection of ContactMethodNone.
CustomerExtensionsCollection of CustomerExtensionNone.
RelatedCustomersCollection of RelatedCustomerNone.
MemberOfCollection of MemberOfNone.
DocumentsCollection of DocumentNone.
MergedCustomersCollection of globally unique identifierNone.
PrimaryNamestringNone.
TitlestringNone.
AlternateNamestringNone.
MiddleNamestringNone.
FamilyNamestringNone.
ReferralSourcestringNone.
NotesstringNone.
UniqueIdentifierstringNone.
Idglobally unique identifierNone.
CustomerTypeIdintegerNone.
CustomerTypestringNone.
DateOfBirthdateNone.
PricingGroupIdintegerNone.
DisabledbooleanNone.
DoNotContactbooleanNone.
VersionintegerNone.
MergedIntoCustomerIdglobally unique identifierNone.
LastModifiedDateUtcdateNone.

Response Formats​

application/json, text/json

[
{
"Addresses": [
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "704b77f2-f8c6-46f6-a1b2-ab2c5b644238",
"CustomerId": "51a50748-f45f-4f6a-866e-2535c4474fe0",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "704b77f2-f8c6-46f6-a1b2-ab2c5b644238",
"CustomerId": "51a50748-f45f-4f6a-866e-2535c4474fe0",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
}
],
"ContactMethods": [
{
"Value": "sample string 1",
"Id": "4c11a129-6059-4697-b2c1-b3ef355faf8f",
"CustomerId": "947d0b07-dfbf-4474-b1eb-d68f832ce73e",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
},
{
"Value": "sample string 1",
"Id": "4c11a129-6059-4697-b2c1-b3ef355faf8f",
"CustomerId": "947d0b07-dfbf-4474-b1eb-d68f832ce73e",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
}
],
"CustomerExtensions": [
{
"Value": "sample string 1",
"Id": "e02bc9dd-bb9b-47ea-965c-07f8f096c732",
"CustomerId": "ae1369eb-c7e9-439d-9e6d-527fc3010389",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
},
{
"Value": "sample string 1",
"Id": "e02bc9dd-bb9b-47ea-965c-07f8f096c732",
"CustomerId": "ae1369eb-c7e9-439d-9e6d-527fc3010389",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
}
],
"RelatedCustomers": [
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
}
],
"MemberOf": [
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
}
],
"Documents": [
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:14.9283816+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:14.9283816+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
},
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:14.9283816+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:14.9283816+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
}
],
"MergedCustomers": [
"7adc85f7-0d16-4681-a0a0-052c3d6e8906",
"02186314-6d97-487c-9e3b-c81c576892d2"
],
"PrimaryName": "sample string 1",
"Title": "sample string 2",
"AlternateName": "sample string 3",
"MiddleName": "sample string 4",
"FamilyName": "sample string 5",
"ReferralSource": "sample string 6",
"Notes": "sample string 7",
"UniqueIdentifier": "sample string 8",
"Id": "54ab6162-47fc-46b4-b4ea-a415ae855e25",
"CustomerTypeId": 10,
"CustomerType": "sample string 11",
"DateOfBirth": "2026-10-02T17:41:14.9283816+00:00",
"PricingGroupId": 12,
"Disabled": true,
"DoNotContact": true,
"Version": 15,
"MergedIntoCustomerId": "21472954-c4f9-4d29-911f-6b0c196b5ed4",
"LastModifiedDateUtc": "2026-10-02T17:41:14.9283816+00:00"
},
{
"Addresses": [
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "704b77f2-f8c6-46f6-a1b2-ab2c5b644238",
"CustomerId": "51a50748-f45f-4f6a-866e-2535c4474fe0",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "704b77f2-f8c6-46f6-a1b2-ab2c5b644238",
"CustomerId": "51a50748-f45f-4f6a-866e-2535c4474fe0",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
}
],
"ContactMethods": [
{
"Value": "sample string 1",
"Id": "4c11a129-6059-4697-b2c1-b3ef355faf8f",
"CustomerId": "947d0b07-dfbf-4474-b1eb-d68f832ce73e",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
},
{
"Value": "sample string 1",
"Id": "4c11a129-6059-4697-b2c1-b3ef355faf8f",
"CustomerId": "947d0b07-dfbf-4474-b1eb-d68f832ce73e",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
}
],
"CustomerExtensions": [
{
"Value": "sample string 1",
"Id": "e02bc9dd-bb9b-47ea-965c-07f8f096c732",
"CustomerId": "ae1369eb-c7e9-439d-9e6d-527fc3010389",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
},
{
"Value": "sample string 1",
"Id": "e02bc9dd-bb9b-47ea-965c-07f8f096c732",
"CustomerId": "ae1369eb-c7e9-439d-9e6d-527fc3010389",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
}
],
"RelatedCustomers": [
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
}
],
"MemberOf": [
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
}
],
"Documents": [
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:14.9283816+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:14.9283816+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
},
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:14.9283816+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:14.9283816+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
}
],
"MergedCustomers": [
"7adc85f7-0d16-4681-a0a0-052c3d6e8906",
"02186314-6d97-487c-9e3b-c81c576892d2"
],
"PrimaryName": "sample string 1",
"Title": "sample string 2",
"AlternateName": "sample string 3",
"MiddleName": "sample string 4",
"FamilyName": "sample string 5",
"ReferralSource": "sample string 6",
"Notes": "sample string 7",
"UniqueIdentifier": "sample string 8",
"Id": "54ab6162-47fc-46b4-b4ea-a415ae855e25",
"CustomerTypeId": 10,
"CustomerType": "sample string 11",
"DateOfBirth": "2026-10-02T17:41:14.9283816+00:00",
"PricingGroupId": 12,
"Disabled": true,
"DoNotContact": true,
"Version": 15,
"MergedIntoCustomerId": "21472954-c4f9-4d29-911f-6b0c196b5ed4",
"LastModifiedDateUtc": "2026-10-02T17:41:14.9283816+00:00"
}
]

Models​

Address
NameDescriptionTypeAdditional information
AddressLine1stringNone.
AddressLine2stringNone.
CitystringNone.
StateNamestringNone.
CountryNamestringNone.
ZipintegerNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
AddressTypeId1- None, 2- Home, 3- Shipping, 4- Office, 5- OtherintegerNone.
AddressTypestringNone.
DefaultbooleanNone.
DoNotContactbooleanNone.
CountryCodestringNone.
CountrystringNone.
LocalitystringNone.
StateCodestringNone.
StatestringNone.
PostalCodestringNone.
PostOfficeBoxNumberstringNone.
StreetAddress1stringNone.
NotesstringNone.
StreetAddress2stringNone.
VersionintegerNone.
AttentionTostringNone.
PhonestringNone.
EmailstringNone.
ContactMethod
NameDescriptionTypeAdditional information
ValuestringNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
ContactMethodCategoryIdintegerNone.
ContactMethodCategorystringNone.
ContactMethodTypeId1- Home Phone, 2- Not Used, 3- Mobile Phone, 4- Company Phone, 5- Pager, 6- Home Fax, 7- Work Fax, 8-Other Phone, 9- Home Email, 10- Work Email, 11- Other Email, 12- Website, 13- Skype, 14 Twitter, 15- Facebook, 16- LinkedIn, 17- OtherintegerNone.
ContactMethodTypestringNone.
DoNotContactbooleanNone.
DefaultbooleanNone.
NotesstringNone.
VersionintegerNone.
CustomerExtension
NameDescriptionTypeAdditional information
ValuestringNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
ExtensionTypeIdintegerNone.
ExtensionTypestringNone.
ExtensionTypeFeaturestringNone.
VersionintegerNone.
RelatedCustomer
NameDescriptionTypeAdditional information
IdstringNone.
ParentCustomerIdstringNone.
MemberOf
NameDescriptionTypeAdditional information
IdstringNone.
ChildCustomerIdstringNone.
Document
NameDescriptionTypeAdditional information
IdstringNone.
CustomerIdstringNone.
DocumentTypestringNone.
DocumentTypeIdintegerNone.
DocumentClassificationstringNone.
DocumentClassificationIdintegerNone.
NamestringNone.
MimeTypestringNone.
AddedBystringNone.
DatedAddedUtcdateNone.
UpdatedBystringNone.
DateUpdatedUtcdateNone.
HrefstringNone.
PreviewHrefstringNone.

GET v1/Companies({CompanyId})/SearchCapabilities​

This call returns SearchCapabilities which can be used with the /Search endpoint

Base URL:​

https://api.covasoft.net/crm

Example of a call would be:​

https://api{{en}}.covasoft.net/crm/v1/Companies({{CompanyId}})/SearchCapabilites

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

A collection of SearchCapabilities

CustomerSearchCapabilities

NameDescriptionTypeAdditional information
IdintegerNone.
FieldThe name/description of the fieldstringNone.
OperationsThe available search operations for this fieldCollection of stringNone.
DefaultOperationThe operation that will be used for this field by defaultstringNone.
AllowMultipleIndicates if this field can be combined with other fields in a searchbooleanNone.

Response Formats​

application/json, text/json

{
"Id": 1,
"Field": "sample string 2",
"Operations": [
"sample string 1",
"sample string 2"
],
"DefaultOperation": "sample string 3",
"AllowMultiple": true
}

POST v1/Companies({CompanyId})/Search​

This call returns Customers which match supplied criteria.

Base URL:​

https://api.covasoft.net/crm

Example of a call would be:​

https://api{{en}}.covasoft.net/crm/v1/Companies({{CompanyId}})/Search

See Search Capabilities.
To minimize customer duplication, we recommend searching by multiple criteria. Phone and Contact (email address) are a good start, but are not constrained to be unique. All critera must match for records to be returned. To avoid false negatives, search by Phone and Contact separately and perform additional matching within your solution depending on the customer data you capture.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired

Body Parameters​

CustomerSearchRequest

NameDescriptionTypeAdditional information
CriteriaCollection of CustomerSearchCriteriaNone.

Request Formats​

application/json, text/json

{
"Criteria": [
{
"Criteria": "sample string 1",
"Field": "sample string 2",
"Operation": "sample string 3"
},
{
"Criteria": "sample string 1",
"Field": "sample string 2",
"Operation": "sample string 3"
}
]
}

Response Information​

Resource Description​

The POSTed CustomerSearchCriteria collection and a collection of CustomerFull records matching the criteria

CustomerSearchResult

NameDescriptionTypeAdditional information
IdintegerNone.
CriteriaCollection of CustomerSearchCriteriaNone.
ResultsCollection of CustomerFullReturnNone.

Response Formats​

application/json, text/json

{
"Id": 1,
"Criteria": [
{
"Criteria": "sample string 1",
"Field": "sample string 2",
"Operation": "sample string 3"
},
{
"Criteria": "sample string 1",
"Field": "sample string 2",
"Operation": "sample string 3"
}
],
"Results": [
{
"Addresses": [
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "4c136869-fd14-462e-9c83-adc86814dcee",
"CustomerId": "a9839821-4a71-43e8-93e7-73385b2e850d",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "4c136869-fd14-462e-9c83-adc86814dcee",
"CustomerId": "a9839821-4a71-43e8-93e7-73385b2e850d",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
}
],
"ContactMethods": [
{
"Value": "sample string 1",
"Id": "353904ee-76c0-4142-a9b0-a52d35147d32",
"CustomerId": "9ab01d46-bd22-4e22-9e33-47ed84ae10d3",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
},
{
"Value": "sample string 1",
"Id": "353904ee-76c0-4142-a9b0-a52d35147d32",
"CustomerId": "9ab01d46-bd22-4e22-9e33-47ed84ae10d3",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
}
],
"CustomerExtensions": [
{
"Value": "sample string 1",
"Id": "00e9a56f-53b4-47f2-b1e3-f821820d4b49",
"CustomerId": "8e7ff0e9-a981-4994-b0ce-6aa45e820377",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
},
{
"Value": "sample string 1",
"Id": "00e9a56f-53b4-47f2-b1e3-f821820d4b49",
"CustomerId": "8e7ff0e9-a981-4994-b0ce-6aa45e820377",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
}
],
"RelatedCustomers": [
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
}
],
"MemberOf": [
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
}
],
"Documents": [
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:16.4440139+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:16.4440139+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
},
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:16.4440139+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:16.4440139+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
}
],
"MergedCustomers": [
"00bb96ce-f910-41fb-889d-7cba219920a0",
"4a86ee56-2c29-4504-a33a-e030be002314"
],
"PrimaryName": "sample string 1",
"Title": "sample string 2",
"AlternateName": "sample string 3",
"MiddleName": "sample string 4",
"FamilyName": "sample string 5",
"ReferralSource": "sample string 6",
"Notes": "sample string 7",
"UniqueIdentifier": "sample string 8",
"Id": "4d15be0a-f9b6-40aa-90da-3589cd6c8531",
"CustomerTypeId": 10,
"CustomerType": "sample string 11",
"DateOfBirth": "2026-10-02T17:41:16.4440139+00:00",
"PricingGroupId": 13,
"Disabled": true,
"DoNotContact": true,
"Version": 16,
"MergedIntoCustomerId": "aa6a6c37-3d3c-448a-b7b6-acd2db24fbfd",
"LastModifiedDateUtc": "2026-10-02T17:41:16.4440139+00:00"
},
{
"Addresses": [
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "4c136869-fd14-462e-9c83-adc86814dcee",
"CustomerId": "a9839821-4a71-43e8-93e7-73385b2e850d",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
},
{
"AddressLine1": "sample string 1",
"AddressLine2": "sample string 2",
"City": "sample string 3",
"StateName": "sample string 4",
"CountryName": "sample string 5",
"Zip": 1,
"Id": "4c136869-fd14-462e-9c83-adc86814dcee",
"CustomerId": "a9839821-4a71-43e8-93e7-73385b2e850d",
"AddressTypeId": 8,
"AddressType": "sample string 9",
"Default": true,
"DoNotContact": true,
"CountryCode": "sample string 12",
"Country": "sample string 13",
"Locality": "sample string 14",
"StateCode": "sample string 15",
"State": "sample string 16",
"PostalCode": "sample string 17",
"PostOfficeBoxNumber": "sample string 18",
"StreetAddress1": "sample string 19",
"Notes": "sample string 20",
"StreetAddress2": "sample string 21",
"Version": 22,
"AttentionTo": "sample string 23",
"Phone": "sample string 24",
"Email": "sample string 25"
}
],
"ContactMethods": [
{
"Value": "sample string 1",
"Id": "353904ee-76c0-4142-a9b0-a52d35147d32",
"CustomerId": "9ab01d46-bd22-4e22-9e33-47ed84ae10d3",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
},
{
"Value": "sample string 1",
"Id": "353904ee-76c0-4142-a9b0-a52d35147d32",
"CustomerId": "9ab01d46-bd22-4e22-9e33-47ed84ae10d3",
"ContactMethodCategoryId": 4,
"ContactMethodCategory": "sample string 5",
"ContactMethodTypeId": 6,
"ContactMethodType": "sample string 7",
"DoNotContact": true,
"Default": true,
"Notes": "sample string 10",
"Version": 11
}
],
"CustomerExtensions": [
{
"Value": "sample string 1",
"Id": "00e9a56f-53b4-47f2-b1e3-f821820d4b49",
"CustomerId": "8e7ff0e9-a981-4994-b0ce-6aa45e820377",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
},
{
"Value": "sample string 1",
"Id": "00e9a56f-53b4-47f2-b1e3-f821820d4b49",
"CustomerId": "8e7ff0e9-a981-4994-b0ce-6aa45e820377",
"ExtensionTypeId": 4,
"ExtensionType": "sample string 5",
"ExtensionTypeFeature": "sample string 6",
"Version": 7
}
],
"RelatedCustomers": [
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ParentCustomerId": "sample string 2"
}
],
"MemberOf": [
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
},
{
"Id": "sample string 1",
"ChildCustomerId": "sample string 2"
}
],
"Documents": [
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:16.4440139+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:16.4440139+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
},
{
"Id": "sample string 1",
"CustomerId": "sample string 2",
"DocumentType": "sample string 3",
"DocumentTypeId": 4,
"DocumentClassification": "sample string 5",
"DocumentClassificationId": 6,
"Name": "sample string 7",
"MimeType": "sample string 8",
"AddedBy": "sample string 9",
"DatedAddedUtc": "2026-10-02T17:41:16.4440139+00:00",
"UpdatedBy": "sample string 11",
"DateUpdatedUtc": "2026-10-02T17:41:16.4440139+00:00",
"Href": "sample string 13",
"PreviewHref": "sample string 14"
}
],
"MergedCustomers": [
"00bb96ce-f910-41fb-889d-7cba219920a0",
"4a86ee56-2c29-4504-a33a-e030be002314"
],
"PrimaryName": "sample string 1",
"Title": "sample string 2",
"AlternateName": "sample string 3",
"MiddleName": "sample string 4",
"FamilyName": "sample string 5",
"ReferralSource": "sample string 6",
"Notes": "sample string 7",
"UniqueIdentifier": "sample string 8",
"Id": "4d15be0a-f9b6-40aa-90da-3589cd6c8531",
"CustomerTypeId": 10,
"CustomerType": "sample string 11",
"DateOfBirth": "2026-10-02T17:41:16.4440139+00:00",
"PricingGroupId": 13,
"Disabled": true,
"DoNotContact": true,
"Version": 16,
"MergedIntoCustomerId": "aa6a6c37-3d3c-448a-b7b6-acd2db24fbfd",
"LastModifiedDateUtc": "2026-10-02T17:41:16.4440139+00:00"
}
]
}

Models​

CustomerSearchCriteria
NameDescriptionTypeAdditional information
CriteriaThe criteria / target of the searchstringNone.
FieldThe field to search againststringNone.
OperationThe comparison operation to use (default if omitted)stringNone.
CustomerFullReturn
NameDescriptionTypeAdditional information
AddressesCollection of AddressNone.
ContactMethodsCollection of ContactMethodNone.
CustomerExtensionsCollection of CustomerExtensionNone.
RelatedCustomersCollection of RelatedCustomerNone.
MemberOfCollection of MemberOfNone.
DocumentsCollection of DocumentNone.
MergedCustomersCollection of globally unique identifierNone.
PrimaryNamestringNone.
TitlestringNone.
AlternateNamestringNone.
MiddleNamestringNone.
FamilyNamestringNone.
ReferralSourcestringNone.
NotesstringNone.
UniqueIdentifierstringNone.
Idglobally unique identifierNone.
CustomerTypeIdintegerNone.
CustomerTypestringNone.
DateOfBirthdateNone.
PricingGroupIdintegerNone.
DisabledbooleanNone.
DoNotContactbooleanNone.
VersionintegerNone.
MergedIntoCustomerIdglobally unique identifierNone.
LastModifiedDateUtcdateNone.
Address
NameDescriptionTypeAdditional information
AddressLine1stringNone.
AddressLine2stringNone.
CitystringNone.
StateNamestringNone.
CountryNamestringNone.
ZipintegerNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
AddressTypeId1- None, 2- Home, 3- Shipping, 4- Office, 5- OtherintegerNone.
AddressTypestringNone.
DefaultbooleanNone.
DoNotContactbooleanNone.
CountryCodestringNone.
CountrystringNone.
LocalitystringNone.
StateCodestringNone.
StatestringNone.
PostalCodestringNone.
PostOfficeBoxNumberstringNone.
StreetAddress1stringNone.
NotesstringNone.
StreetAddress2stringNone.
VersionintegerNone.
AttentionTostringNone.
PhonestringNone.
EmailstringNone.
ContactMethod
NameDescriptionTypeAdditional information
ValuestringNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
ContactMethodCategoryIdintegerNone.
ContactMethodCategorystringNone.
ContactMethodTypeId1- Home Phone, 2- Not Used, 3- Mobile Phone, 4- Company Phone, 5- Pager, 6- Home Fax, 7- Work Fax, 8-Other Phone, 9- Home Email, 10- Work Email, 11- Other Email, 12- Website, 13- Skype, 14 Twitter, 15- Facebook, 16- LinkedIn, 17- OtherintegerNone.
ContactMethodTypestringNone.
DoNotContactbooleanNone.
DefaultbooleanNone.
NotesstringNone.
VersionintegerNone.
CustomerExtension
NameDescriptionTypeAdditional information
ValuestringNone.
Idglobally unique identifierNone.
CustomerIdglobally unique identifierNone.
ExtensionTypeIdintegerNone.
ExtensionTypestringNone.
ExtensionTypeFeaturestringNone.
VersionintegerNone.
RelatedCustomer
NameDescriptionTypeAdditional information
IdstringNone.
ParentCustomerIdstringNone.
MemberOf
NameDescriptionTypeAdditional information
IdstringNone.
ChildCustomerIdstringNone.
Document
NameDescriptionTypeAdditional information
IdstringNone.
CustomerIdstringNone.
DocumentTypestringNone.
DocumentTypeIdintegerNone.
DocumentClassificationstringNone.
DocumentClassificationIdintegerNone.
NamestringNone.
MimeTypestringNone.
AddedBystringNone.
DatedAddedUtcdateNone.
UpdatedBystringNone.
DateUpdatedUtcdateNone.
HrefstringNone.
PreviewHrefstringNone.